<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>ClassDoc (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/classdoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\ClassDoc</div>
<a href="../source/classes/classdoc.php.html#line29" class="location">classes/classDoc.php at line 29</a>

<h1>Class ClassDoc</h1>

<pre class="tree"><a href="../phpdoctor/doc.html">Doc</a><br>    └─<a href="../phpdoctor/programelementdoc.html">ProgramElementDoc</a><br>       └─<strong>ClassDoc</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>ClassDoc</strong><br>extends <a href="../phpdoctor/programelementdoc.html">ProgramElementDoc</a>

</p>

<div class="comment" id="overview_description"><p>Represents a PHP class and provides access to information about the class,
the class' comment and tags, and the members of the class. A classDoc only
exists if it was processed in this run of PHPDoctor. References to classes
which may or may not have been processed in this run are referred to using
type (which can be converted to classDoc, if possible).</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(str name, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root, str filename, int lineNumber, str sourcePath)</p><p class="description">Constructor</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#addConstant()">addConstant</a>(mixed constant, <a href="../phpdoctor/fielddoc.html">FieldDoc</a> field)</p><p class="description">Add a constant to this class.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#addField()">addField</a>(<a href="../phpdoctor/fielddoc.html">FieldDoc</a> field)</p><p class="description">Add a field to this class.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#addMethod()">addMethod</a>(<a href="../phpdoctor/methoddoc.html">MethodDoc</a> method)</p><p class="description">Add a method to this class.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/fielddoc.html">FieldDoc[]</a></td>
<td class="description"><p class="name"><a href="#constants()">constants</a>()</p><p class="description">Return constants in this class.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/fielddoc.html">FieldDoc</a></td>
<td class="description"><p class="name"><a href="#fieldNamed()">fieldNamed</a>(mixed fieldName)</p><p class="description">Return a field in this class.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/fielddoc.html">FieldDoc[]</a></td>
<td class="description"><p class="name"><a href="#fields()">fields</a>()</p><p class="description">Return fields in this class.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc</a></td>
<td class="description"><p class="name"><a href="#interfaceNamed()">interfaceNamed</a>(mixed interfaceName)</p><p class="description">Return an interface in this class.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc[]</a></td>
<td class="description"><p class="name"><a href="#interfaces()">interfaces</a>()</p><p class="description">Return interfaces implemented by this class or interfaces extended by this interface.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isAbstract()">isAbstract</a>()</p><p class="description">Return true if this class is abstract.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isClass()">isClass</a>()</p><p class="description">Is this construct a class. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isException()">isException</a>()</p><p class="description">Is this construct an exception.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isInterface()">isInterface</a>()</p><p class="description">Return true if this element is an interface.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isOrdinaryClass()">isOrdinaryClass</a>()</p><p class="description">Is this construct an ordinary class (not an interface or an exception).</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#mergeSuperClassData()">mergeSuperClassData</a>(str superClassName)</p><p class="description">Merge the details of the superclass with this class.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/methoddoc.html">MethodDoc</a></td>
<td class="description"><p class="name"><a href="#methodNamed()">methodNamed</a>(mixed methodName)</p><p class="description">Return a method in this class.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/methoddoc.html">MethodDoc[]</a></td>
<td class="description"><p class="name"><a href="#methods()">methods</a>(mixed methodName)</p><p class="description">Return the methods in this class.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#subclassOf()">subclassOf</a>(<a href="../phpdoctor/classdoc.html">ClassDoc</a> cd)</p><p class="description">Test whether this class is a subclass of the specified class.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc</a></td>
<td class="description"><p class="name"><a href="#superclass()">superclass</a>()</p><p class="description">Return the superclass of this class.</p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\ProgramElementDoc</th></tr>
<tr><td><a href="../phpdoctor/programelementdoc.html#asPath()">asPath</a>, <a href="../phpdoctor/programelementdoc.html#containingClass()">containingClass</a>, <a href="../phpdoctor/programelementdoc.html#containingPackage()">containingPackage</a>, <a href="../phpdoctor/programelementdoc.html#isFinal()">isFinal</a>, <a href="../phpdoctor/programelementdoc.html#isPrivate()">isPrivate</a>, <a href="../phpdoctor/programelementdoc.html#isProtected()">isProtected</a>, <a href="../phpdoctor/programelementdoc.html#isPublic()">isPublic</a>, <a href="../phpdoctor/programelementdoc.html#isStatic()">isStatic</a>, <a href="../phpdoctor/programelementdoc.html#location()">location</a>, <a href="../phpdoctor/programelementdoc.html#makePrivate()">makePrivate</a>, <a href="../phpdoctor/programelementdoc.html#makeProtected()">makeProtected</a>, <a href="../phpdoctor/programelementdoc.html#makePublic()">makePublic</a>, <a href="../phpdoctor/programelementdoc.html#modifiers()">modifiers</a>, <a href="../phpdoctor/programelementdoc.html#packageName()">packageName</a>, <a href="../phpdoctor/programelementdoc.html#qualifiedName()">qualifiedName</a>, <a href="../phpdoctor/programelementdoc.html#sourceFilename()">sourceFilename</a>, <a href="../phpdoctor/programelementdoc.html#sourceLine()">sourceLine</a></td></tr></table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Doc</th></tr>
<tr><td><a href="../phpdoctor/doc.html#getHTMLContents()">getHTMLContents</a>, <a href="../phpdoctor/doc.html#getRawCommentText()">getRawCommentText</a>, <a href="../phpdoctor/doc.html#isClass()">isClass</a>, <a href="../phpdoctor/doc.html#isConstructor()">isConstructor</a>, <a href="../phpdoctor/doc.html#isException()">isException</a>, <a href="../phpdoctor/doc.html#isField()">isField</a>, <a href="../phpdoctor/doc.html#isFinal()">isFinal</a>, <a href="../phpdoctor/doc.html#isFunction()">isFunction</a>, <a href="../phpdoctor/doc.html#isGlobal()">isGlobal</a>, <a href="../phpdoctor/doc.html#isInterface()">isInterface</a>, <a href="../phpdoctor/doc.html#isMethod()">isMethod</a>, <a href="../phpdoctor/doc.html#isOrdinaryClass()">isOrdinaryClass</a>, <a href="../phpdoctor/doc.html#mergeData()">mergeData</a>, <a href="../phpdoctor/doc.html#name()">name</a>, <a href="../phpdoctor/doc.html#set()">set</a>, <a href="../phpdoctor/doc.html#setByRef()">setByRef</a>, <a href="../phpdoctor/doc.html#setTag()">setTag</a>, <a href="../phpdoctor/doc.html#tags()">tags</a></td></tr></table>

<h2 id="detail_method">Method Detail</h2>
<a href="../source/classes/classdoc.php.html#line82" class="location">classes/classDoc.php at line 82</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(str name, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root, str filename, int lineNumber, str sourcePath)</code>
<div class="details">
<p>Constructor</p><dl>
<dt>Parameters:</dt>
<dd>name - Name of this element</dd>
<dd>root - The root element</dd>
<dd>filename - The filename of the source file this element is in</dd>
<dd>lineNumber - The line number of the source file this element is at</dd>
<dd>sourcePath - The source path containing the source file</dd>
</dl>
</div>

<hr>

<a href="../source/classes/classdoc.php.html#line95" class="location">classes/classDoc.php at line 95</a>

<h3 id="addConstant()">addConstant</h3>
<code class="signature">public  void <strong>addConstant</strong>(mixed constant, <a href="../phpdoctor/fielddoc.html">FieldDoc</a> field)</code>
<div class="details">
<p>Add a constant to this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line106" class="location">classes/classDoc.php at line 106</a>

<h3 id="addField()">addField</h3>
<code class="signature">public  void <strong>addField</strong>(<a href="../phpdoctor/fielddoc.html">FieldDoc</a> field)</code>
<div class="details">
<p>Add a field to this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line117" class="location">classes/classDoc.php at line 117</a>

<h3 id="addMethod()">addMethod</h3>
<code class="signature">public  void <strong>addMethod</strong>(<a href="../phpdoctor/methoddoc.html">MethodDoc</a> method)</code>
<div class="details">
<p>Add a method to this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line131" class="location">classes/classDoc.php at line 131</a>

<h3 id="constants()">constants</h3>
<code class="signature">public  <a href="../phpdoctor/fielddoc.html">FieldDoc[]</a> <strong>constants</strong>()</code>
<div class="details">
<p>Return constants in this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line149" class="location">classes/classDoc.php at line 149</a>

<h3 id="fieldNamed()">fieldNamed</h3>
<code class="signature">public  <a href="../phpdoctor/fielddoc.html">FieldDoc</a> <strong>fieldNamed</strong>(mixed fieldName)</code>
<div class="details">
<p>Return a field in this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line140" class="location">classes/classDoc.php at line 140</a>

<h3 id="fields()">fields</h3>
<code class="signature">public  <a href="../phpdoctor/fielddoc.html">FieldDoc[]</a> <strong>fields</strong>()</code>
<div class="details">
<p>Return fields in this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line193" class="location">classes/classDoc.php at line 193</a>

<h3 id="interfaceNamed()">interfaceNamed</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc</a> <strong>interfaceNamed</strong>(mixed interfaceName)</code>
<div class="details">
<p>Return an interface in this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line184" class="location">classes/classDoc.php at line 184</a>

<h3 id="interfaces()">interfaces</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc[]</a> <strong>interfaces</strong>()</code>
<div class="details">
<p>Return interfaces implemented by this class or interfaces extended by this interface.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line206" class="location">classes/classDoc.php at line 206</a>

<h3 id="isAbstract()">isAbstract</h3>
<code class="signature">public  bool <strong>isAbstract</strong>()</code>
<div class="details">
<p>Return true if this class is abstract.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line247" class="location">classes/classDoc.php at line 247</a>

<h3 id="isClass()">isClass</h3>
<code class="signature">public  bool <strong>isClass</strong>()</code>
<div class="details">
<p>Is this construct a class. Note: interfaces are not classes.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line269" class="location">classes/classDoc.php at line 269</a>

<h3 id="isException()">isException</h3>
<code class="signature">public  bool <strong>isException</strong>()</code>
<div class="details">
<p>Is this construct an exception.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line215" class="location">classes/classDoc.php at line 215</a>

<h3 id="isInterface()">isInterface</h3>
<code class="signature">public  bool <strong>isInterface</strong>()</code>
<div class="details">
<p>Return true if this element is an interface.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line256" class="location">classes/classDoc.php at line 256</a>

<h3 id="isOrdinaryClass()">isOrdinaryClass</h3>
<code class="signature">public  bool <strong>isOrdinaryClass</strong>()</code>
<div class="details">
<p>Is this construct an ordinary class (not an interface or an exception).</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line283" class="location">classes/classDoc.php at line 283</a>

<h3 id="mergeSuperClassData()">mergeSuperClassData</h3>
<code class="signature">public  void <strong>mergeSuperClassData</strong>(str superClassName)</code>
<div class="details">
<p>Merge the details of the superclass with this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line171" class="location">classes/classDoc.php at line 171</a>

<h3 id="methodNamed()">methodNamed</h3>
<code class="signature">public  <a href="../phpdoctor/methoddoc.html">MethodDoc</a> <strong>methodNamed</strong>(mixed methodName)</code>
<div class="details">
<p>Return a method in this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line162" class="location">classes/classDoc.php at line 162</a>

<h3 id="methods()">methods</h3>
<code class="signature">public  <a href="../phpdoctor/methoddoc.html">MethodDoc[]</a> <strong>methods</strong>(mixed methodName)</code>
<div class="details">
<p>Return the methods in this class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line225" class="location">classes/classDoc.php at line 225</a>

<h3 id="subclassOf()">subclassOf</h3>
<code class="signature">public  bool <strong>subclassOf</strong>(<a href="../phpdoctor/classdoc.html">ClassDoc</a> cd)</code>
<div class="details">
<p>Test whether this class is a subclass of the specified class.</p></div>

<hr>

<a href="../source/classes/classdoc.php.html#line238" class="location">classes/classDoc.php at line 238</a>

<h3 id="superclass()">superclass</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc</a> <strong>superclass</strong>()</code>
<div class="details">
<p>Return the superclass of this class.</p></div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/classdoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>